﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Xml.Linq;

namespace KB9455_DataDisplayOrder_WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        private DataTable _ascendingData;
        private DataTable _descendingData;

        public Form1()
        {
            InitializeComponent();

            _ascendingData = new DataTable();

            // 列と列名を定義します。
            _ascendingData.Columns.Add("Series Labels", typeof(string));
            _ascendingData.Columns.Add("Column A", typeof(int));
            _ascendingData.Columns.Add("Column B", typeof(int));
            _ascendingData.Columns.Add("Column C", typeof(int));
            _ascendingData.Columns.Add("Column D", typeof(int));

            // データの行を追加します。
            _ascendingData.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });
            _ascendingData.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
            _ascendingData.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
            _ascendingData.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });


            _descendingData = new DataTable();

            // 列と列名を定義します。
            _descendingData.Columns.Add("Series Labels", typeof(string));
            _descendingData.Columns.Add("Column D", typeof(int));
            _descendingData.Columns.Add("Column C", typeof(int));
            _descendingData.Columns.Add("Column B", typeof(int));
            _descendingData.Columns.Add("Column A", typeof(int));

            // データの行を追加します。
            _descendingData.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });
            _descendingData.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
            _descendingData.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
            _descendingData.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraChart1.DataSource = _ascendingData;
            ultraChart1.DataBind();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ultraChart1.DataSource = _ascendingData;
            ultraChart1.DataBind();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            ultraChart1.DataSource = _descendingData;
            ultraChart1.DataBind();
        }
    }
}
